@tool
@icon("res://addons/rokojori_action_library/Icons/RJ_Action.svg")
@abstract class_name RJ_Action extends Node

@export_tool_button( "Create Wrapper" )
var createWrapperAction = _createWrapper;

func _createWrapper() -> void:
  
  var wrapperClass = load( "res://addons/rokojori_action_library/Runtime/Actions/GDScriptAction.cs" );
  var wrapper = wrapperClass.new();
  wrapper.WrapRJAction( self );
  
##---

func _onTrigger( node:GDScriptAction ) -> void:
  
  pass
##---
